﻿using System;
using System.Windows.Controls;
using System.Windows.Media.Imaging;

namespace TreeViewOnDemandLoad
{
    /// <summary>
    /// Interaction logic for IconItemView.xaml
    /// </summary>
    public partial class IconItemView : UserControl
    {
        public IconItemView(string text, string iconUri)
        {
            InitializeComponent();
            _label.Text = text;
            _icon.Source = new BitmapImage(new Uri(iconUri, UriKind.Relative));
        }
    }
}
